<?php
require_once '../models/data.php';
require_once '../models/userlist.php';
require_once '../models/user.php';
require_once '../models/tvlist.php';
require_once '../models/tv.php';

if(!isset($_GET['dtitem']) && !isset($_GET['tvitem']) && !isset($_GET['usritem'])){
    header('Location: index.php');
}

if(isset($_GET['dtitem'])){
    $dt = Data::find($_GET['dtitem']);

    if(!is_null($dt)){
        $dt->delete();
        header('Location: settings.php?datatype=myfiles');
    }
}

else if(isset($_GET['tvitem'])){
    $myusername = substr($_SERVER['eppn'], 0, strpos($_SERVER['eppn'], '@'));
    if(User::isAdmin($myusername)){
        $tv = Tv::find($_GET['tvitem']);
        if(!is_null($tv)){
            $tv->delete();
            header('Location: settings.php?datatype=mytvs');
        }
    }else{
        print("Nincs jogosultsága a TV lista módosításához!");
    }
}

else if(isset($_GET['usritem'])){
    $myusername = substr($_SERVER['eppn'], 0, strpos($_SERVER['eppn'], '@'));
    if(User::isAdmin($myusername)){
        $usr = User::find($_GET['usritem']);
        if(!is_null($usr)){
            $usr->delete();
            header('Location: settings.php?datatype=thisgroup');
        }
    }else{
        print("Nincs jogosultsága a felhasználói csoportok listájának módosításához!");
    }
}
